debian.org / О Debian Где взять Debian Поддержка Уголок разработчика Новости Wiki

Автор Тема: Слетел mysql-server, не могу переустановить  (Прочитано 679 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн seregareal2

  • Topic Author
  • Сообщений: 16

┌─[seregareal2@parrot]─[~]
└──╼ $su -
Пароль:
root@parrot:~# apt-get remove --purge mysql-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  firebird3.0-common firebird3.0-common-doc lame libaec0 libamd2 libarmadillo7
  libarpack2 libcgal12 libclass-dbi-abstractsearch-perl libclass-dbi-perl
  libclass-trigger-perl libclass-xsaccessor-perl libcoin80v5
  libcrypt-mcrypt-perl libcrypt-openssl-bignum-perl libcrypt-openssl-rsa-perl
  libdap23 libdapclient6v5 libdapserver7v5 libdbd-mysql-perl
  libdbix-contextualfetch-perl libepsilon1 libextractor3 libfbclient2
  libfcgi-bin libfcgi0ldbl libfreexl1 libgeos-3.5.1 libgeos-c1v5 libgeotiff2
  libgladeui-2-6 libgladeui-common libglpk40 libgraphicsmagick-q16-3
  libhash-merge-perl libhdf4-0-alt libhdf5-100 libima-dbi-perl
  libimport-into-perl libio-stringy-perl libkmlbase1 libkmlconvenience1
  libkmldom1 libkmlengine1 libkmlregionator1 libkmlxsd1
  liblingua-en-inflect-perl libminizip1 libmoo-perl libndpi4 libnetcdf11
  libnss3-tools libogdi3.2 libopenthreads20 libproj12 libqhull7 libqrencode3
  libqscintilla2-12v5 libqscintilla2-l10n libqwt6abi1 librecode0 librpm3
  librpmio3 libsmf0 libspatialindex4v5 libspatialite7
  libsql-abstract-limit-perl libsql-abstract-perl libstrictures-perl
  libsuperlu5 libsz2 libtime-piece-mysql-perl libtommath1
  libuniversal-moniker-perl liburiparser1 libxine2 libxine2-bin libxine2-doc
  libxine2-ffmpeg libxine2-misc-plugins libxine2-plugins mysql-client-5.6
  mysql-client-core-5.6 mysql-server-core-5.6 odbcinst odbcinst1debian2
  php-ldap php-mcrypt php-sqlite3 php7.0-ldap php7.0-mcrypt php7.0-sqlite3
  proj-bin proj-data python-elixir python-pysnmp4 python-pysnmp4-apps
  python-pysnmp4-mibs python-pyspatialite python-qscintilla2 python-qt4-sql
  python-shapely python3-httplib2 python3-psycopg2 qt4-designer recode
  rpm-common rwho rwhod smitools
Use 'apt autoremove' to remove them.
The following packages will be REMOVED:
  mysql-server*
0 upgraded, 0 newly installed, 1 to remove and 2 not upgraded.
1 not fully installed or removed.
After this operation, 118 kB disk space will be freed.
Do you want to continue? [Y/n] y
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-user-session' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus' missing; assuming package has no files currently installed
(Reading database ... 444998 files and directories currently installed.)
Removing mysql-server (5.6.30-1) ...
root@parrot:~# apt-get remove --purge mysql-server-5.6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'mysql-server-5.6' is not installed, so not removed
The following packages were automatically installed and are no longer required:
  firebird3.0-common firebird3.0-common-doc lame libaec0 libamd2 libarmadillo7
  libarpack2 libcgal12 libclass-dbi-abstractsearch-perl libclass-dbi-perl
  libclass-trigger-perl libclass-xsaccessor-perl libcoin80v5
  libcrypt-mcrypt-perl libcrypt-openssl-bignum-perl libcrypt-openssl-rsa-perl
  libdap23 libdapclient6v5 libdapserver7v5 libdbd-mysql-perl
  libdbix-contextualfetch-perl libepsilon1 libextractor3 libfbclient2
  libfcgi-bin libfcgi0ldbl libfreexl1 libgeos-3.5.1 libgeos-c1v5 libgeotiff2
  libgladeui-2-6 libgladeui-common libglpk40 libgraphicsmagick-q16-3
  libhash-merge-perl libhdf4-0-alt libhdf5-100 libima-dbi-perl
  libimport-into-perl libio-stringy-perl libkmlbase1 libkmlconvenience1
  libkmldom1 libkmlengine1 libkmlregionator1 libkmlxsd1
  liblingua-en-inflect-perl libminizip1 libmoo-perl libndpi4 libnetcdf11
  libnss3-tools libogdi3.2 libopenthreads20 libproj12 libqhull7 libqrencode3
  libqscintilla2-12v5 libqscintilla2-l10n libqwt6abi1 librecode0 librpm3
  librpmio3 libsmf0 libspatialindex4v5 libspatialite7
  libsql-abstract-limit-perl libsql-abstract-perl libstrictures-perl
  libsuperlu5 libsz2 libtime-piece-mysql-perl libtommath1
  libuniversal-moniker-perl liburiparser1 libxine2 libxine2-bin libxine2-doc
  libxine2-ffmpeg libxine2-misc-plugins libxine2-plugins mysql-client-5.6
  mysql-client-core-5.6 mysql-server-core-5.6 odbcinst odbcinst1debian2
  php-ldap php-mcrypt php-sqlite3 php7.0-ldap php7.0-mcrypt php7.0-sqlite3
  proj-bin proj-data python-elixir python-pysnmp4 python-pysnmp4-apps
  python-pysnmp4-mibs python-pyspatialite python-qscintilla2 python-qt4-sql
  python-shapely python3-httplib2 python3-psycopg2 qt4-designer recode
  rpm-common rwho rwhod smitools
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@parrot:~# apt-get apt autoremove
E: Invalid operation apt
root@parrot:~# apt-get autoremove
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages will be REMOVED:
  firebird3.0-common firebird3.0-common-doc lame libaec0 libamd2 libarmadillo7
  libarpack2 libcgal12 libclass-dbi-abstractsearch-perl libclass-dbi-perl
  libclass-trigger-perl libclass-xsaccessor-perl libcoin80v5
  libcrypt-mcrypt-perl libcrypt-openssl-bignum-perl libcrypt-openssl-rsa-perl
  libdap23 libdapclient6v5 libdapserver7v5 libdbd-mysql-perl
  libdbix-contextualfetch-perl libepsilon1 libextractor3 libfbclient2
  libfcgi-bin libfcgi0ldbl libfreexl1 libgeos-3.5.1 libgeos-c1v5 libgeotiff2
  libgladeui-2-6 libgladeui-common libglpk40 libgraphicsmagick-q16-3
  libhash-merge-perl libhdf4-0-alt libhdf5-100 libima-dbi-perl
  libimport-into-perl libio-stringy-perl libkmlbase1 libkmlconvenience1
  libkmldom1 libkmlengine1 libkmlregionator1 libkmlxsd1
  liblingua-en-inflect-perl libminizip1 libmoo-perl libndpi4 libnetcdf11
  libnss3-tools libogdi3.2 libopenthreads20 libproj12 libqhull7 libqrencode3
  libqscintilla2-12v5 libqscintilla2-l10n libqwt6abi1 librecode0 librpm3
  librpmio3 libsmf0 libspatialindex4v5 libspatialite7
  libsql-abstract-limit-perl libsql-abstract-perl libstrictures-perl
  libsuperlu5 libsz2 libtime-piece-mysql-perl libtommath1
  libuniversal-moniker-perl liburiparser1 libxine2 libxine2-bin libxine2-doc
  libxine2-ffmpeg libxine2-misc-plugins libxine2-plugins mysql-client-5.6
  mysql-client-core-5.6 mysql-server-core-5.6 odbcinst odbcinst1debian2
  php-ldap php-mcrypt php-sqlite3 php7.0-ldap php7.0-mcrypt php7.0-sqlite3
  proj-bin proj-data python-elixir python-pysnmp4 python-pysnmp4-apps
  python-pysnmp4-mibs python-pyspatialite python-qscintilla2 python-qt4-sql
  python-shapely python3-httplib2 python3-psycopg2 qt4-designer recode
  rpm-common rwho rwhod smitools
0 upgraded, 0 newly installed, 110 to remove and 2 not upgraded.
After this operation, 210 MB disk space will be freed.
Do you want to continue? [Y/n] y
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-user-session' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus' missing; assuming package has no files currently installed
(Reading database ... 444994 files and directories currently installed.)
Removing libfbclient2:amd64 (3.0.1.32609.ds4-14) ...
Removing firebird3.0-common (3.0.1.32609.ds4-14) ...
Removing firebird3.0-common-doc (3.0.1.32609.ds4-14) ...
Removing lame (3.99.5+repack1-9+b2) ...
Removing libnetcdf11 (1:4.4.1.1-2) ...
Removing libhdf5-100:amd64 (1.10.0-patch1+docs-3) ...
Removing libsz2:amd64 (0.3.2-1) ...
Removing libaec0:amd64 (0.3.2-1) ...
Removing libglpk40:amd64 (4.61-1) ...
Removing libamd2:amd64 (1:4.5.4-1) ...
Removing libarmadillo7 (1:7.600.2+dfsg-2) ...
Removing libarpack2 (3.4.0-1+b1) ...
Removing libcgal12:amd64 (4.9-1+b2) ...
Removing libclass-dbi-abstractsearch-perl (0.07-3) ...
Removing libclass-dbi-perl (3.0.17-4) ...
Removing libclass-trigger-perl (0.14-1) ...
Removing libclass-xsaccessor-perl (1.19-2+b7) ...
Removing libcoin80v5 (3.1.4~abc9f50+dfsg1-2) ...
Removing libcrypt-mcrypt-perl (0.92-1kali0) ...
Removing libcrypt-openssl-rsa-perl (0.28-5) ...
Removing libcrypt-openssl-bignum-perl (0.07-2) ...
Removing libdapserver7v5:amd64 (3.18.2-2) ...
Removing libdapclient6v5:amd64 (3.18.2-2) ...
Removing libdap23:amd64 (3.18.2-2) ...
Removing mysql-client-5.6 (5.6.30-1) ...
Removing libdbd-mysql-perl (4.041-2) ...
Removing libima-dbi-perl (0.35-2) ...
Removing libdbix-contextualfetch-perl (1.03-3) ...
Removing libepsilon1:amd64 (0.9.2+dfsg-2) ...
Removing libextractor3 (1:1.3-4+b2) ...
Removing libfcgi-bin (2.4.0-8.4+b1) ...
Removing libfcgi0ldbl:amd64 (2.4.0-8.4+b1) ...
Removing python-pyspatialite (3.0.1-11+b1) ...
Removing libspatialite7:amd64 (4.3.0a-5+b1) ...
Removing libfreexl1:amd64 (1.0.2-2) ...
Removing python-shapely (1.5.17-1) ...
Removing libgeos-c1v5 (3.5.1-3) ...
Removing libgeos-3.5.1 (3.5.1-3) ...
Removing libgeotiff2:amd64 (1.4.2-2+b1) ...
Removing libgladeui-2-6:amd64 (3.20.0-2) ...
Removing libgladeui-common (3.20.0-2) ...
Removing libxine2 (1.2.6-1.3) ...
Removing libxine2-plugins (1.2.6-1.3) ...
Removing libxine2-misc-plugins (1.2.6-1.3) ...
Removing libgraphicsmagick-q16-3 (1.3.25-8) ...
Removing libsql-abstract-limit-perl (2:0.14.1-5) ...
Removing libsql-abstract-perl (1.81-1) ...
Removing libhash-merge-perl (0.200-1) ...
Removing libhdf4-0-alt (4.2.12-2) ...
Removing libmoo-perl (2.002005-1) ...
Removing libimport-into-perl (1.002005-1) ...
Removing libio-stringy-perl (2.111-2) ...
Removing libkmlregionator1:amd64 (1.3.0-3) ...
Removing libkmlconvenience1:amd64 (1.3.0-3) ...
Removing libkmlengine1:amd64 (1.3.0-3) ...
Removing libkmlxsd1:amd64 (1.3.0-3) ...
Removing libkmldom1:amd64 (1.3.0-3) ...
Removing liblingua-en-inflect-perl (1.901-1) ...
Removing libndpi4 (1.8-1) ...
Removing libnss3-tools (2:3.26.2-1) ...
Removing libogdi3.2 (3.2.0+ds-2) ...
Removing libopenthreads20:amd64 (3.2.3+dfsg1-2+b4) ...
Removing proj-bin (4.9.3-1) ...
Removing libproj12 (4.9.3-1) ...
Removing libqhull7:amd64 (2015.2-2) ...
Removing libqrencode3:amd64 (3.4.4-1+b2) ...
Removing python-qscintilla2 (2.9.3+dfsg-4) ...
Removing libqscintilla2-12v5 (2.9.3+dfsg-4) ...
Removing libqscintilla2-l10n (2.9.3+dfsg-4) ...
Removing libqwt6abi1 (6.1.2-6) ...
Removing recode (3.6-23) ...
Removing librecode0:amd64 (3.6-23) ...
Removing rpm-common (4.12.0.2+dfsg1-2) ...
Removing librpm3 (4.12.0.2+dfsg1-2) ...
Removing librpmio3 (4.12.0.2+dfsg1-2) ...
Removing libsmf0 (1.3-2+b3) ...
Removing libspatialindex4v5:amd64 (1.8.5-4) ...
Removing libstrictures-perl (2.000003-1) ...
Removing libsuperlu5:amd64 (5.2.1+dfsg1-2) ...
Removing libtime-piece-mysql-perl (0.06-2) ...
Removing libtommath1:amd64 (1.0-4) ...
Removing libuniversal-moniker-perl (0.08-7) ...
Removing libxine2-ffmpeg (1.2.6-1.3) ...
Removing libxine2-bin (1.2.6-1.3) ...
Removing libxine2-doc (1.2.6-1.3) ...
Removing mysql-client-core-5.6 (5.6.30-1) ...
Removing mysql-server-core-5.6 (5.6.30-1) ...
Removing php-ldap (1:7.0+49) ...
Removing php-mcrypt (1:7.0+49) ...
Removing php-sqlite3 (1:7.0+49) ...
Removing php7.0-ldap (7.0.16-3) ...
Removing php7.0-mcrypt (7.0.16-3) ...
Removing php7.0-sqlite3 (7.0.16-3) ...
Removing proj-data (4.9.3-1) ...
Removing python-elixir (0.7.1-4) ...
Removing python-pysnmp4-mibs (0.1.3-1) ...
Removing python-pysnmp4-apps (0.3.2-1) ...
Removing python-pysnmp4 (4.3.2-2) ...
Removing python-qt4-sql (4.11.4+dfsg-2kali2) ...
Removing python3-httplib2 (0.9.2+dfsg-1) ...
dpkg: warning: while removing python3-httplib2, directory '/usr/lib/python3/dist-packages/httplib2' not empty so not removed
Removing python3-psycopg2 (2.6.2-1) ...
dpkg: warning: while removing python3-psycopg2, directory '/usr/lib/python3/dist-packages/psycopg2/tests' not empty so not removed
Removing qt4-designer (4:4.8.7+dfsg-11) ...
Removing rwho (0.17-13+b1) ...
Removing rwhod (0.17-13+b1) ...
Removing smitools (0.4.8+dfsg2-15) ...
Removing libkmlbase1:amd64 (1.3.0-3) ...
Removing libminizip1:amd64 (1.1-8+b1) ...
Removing liburiparser1:amd64 (0.8.4-1) ...
Removing odbcinst (2.3.4-1) ...
Removing odbcinst1debian2:amd64 (2.3.4-1) ...
Processing triggers for mime-support (3.60) ...
Processing triggers for desktop-file-utils (0.23-1) ...
Processing triggers for libapache2-mod-php7.0 (7.0.16-3) ...
Processing triggers for libc-bin (2.24-9) ...
Processing triggers for man-db (2.7.6.1-2) ...
root@parrot:~# apt-get remove --purge mysql-server-5.0
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'mysql-server-5.0' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@parrot:~# apt-get remove --purge mysql-server-5.6
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Package 'mysql-server-5.6' is not installed, so not removed
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@parrot:~# apt-get install mysql-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  libdbd-mysql-perl mysql-client-5.6 mysql-client-core-5.6 mysql-server-5.6
  mysql-server-core-5.6
Suggested packages:
  tinyca
The following NEW packages will be installed:
  libdbd-mysql-perl mysql-client-5.6 mysql-client-core-5.6 mysql-server
  mysql-server-5.6 mysql-server-core-5.6
0 upgraded, 6 newly installed, 0 to remove and 2 not upgraded.
Need to get 14.3 MB/19.9 MB of archives.
After this operation, 149 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Get:1 http://yandex-asia.archive.parrotsec.org/mirrors/parrot parrot/main amd64 mysql-client-core-5.6 amd64 5.6.30-1 [4,419 kB]
Get:2 http://yandex-asia.archive.parrotsec.org/mirrors/parrot parrot/main amd64 mysql-client-5.6 amd64 5.6.30-1 [5,289 kB]
Get:3 http://yandex-asia.archive.parrotsec.org/mirrors/parrot parrot/main amd64 mysql-server-core-5.6 amd64 5.6.30-1 [4,562 kB]
Fetched 14.3 MB in 2s (5,660 kB/s)                 
Preconfiguring packages ...
Selecting previously unselected package libdbd-mysql-perl.
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-user-session' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus' missing; assuming package has no files currently installed
(Reading database ... 441862 files and directories currently installed.)
Preparing to unpack .../0-libdbd-mysql-perl_4.041-2_amd64.deb ...
Unpacking libdbd-mysql-perl (4.041-2) ...
Selecting previously unselected package mysql-client-core-5.6.
Preparing to unpack .../1-mysql-client-core-5.6_5.6.30-1_amd64.deb ...
Unpacking mysql-client-core-5.6 (5.6.30-1) ...
Selecting previously unselected package mysql-client-5.6.
Preparing to unpack .../2-mysql-client-5.6_5.6.30-1_amd64.deb ...
Unpacking mysql-client-5.6 (5.6.30-1) ...
Selecting previously unselected package mysql-server-core-5.6.
Preparing to unpack .../3-mysql-server-core-5.6_5.6.30-1_amd64.deb ...
Unpacking mysql-server-core-5.6 (5.6.30-1) ...
Preparing to unpack .../4-mysql-server-5.6_5.6.30-1_amd64.deb ...
grep: /etc/mysql/: No such file or directory
Failed to stop mysql.service: Unit mysql.service not loaded.
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 5
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: error processing archive /tmp/apt-dpkg-install-QAFg6r/4-mysql-server-5.6_5.6.30-1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Selecting previously unselected package mysql-server.
Preparing to unpack .../5-mysql-server_5.6.30-1_all.deb ...
Unpacking mysql-server (5.6.30-1) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-QAFg6r/4-mysql-server-5.6_5.6.30-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@parrot:~#







Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 96, <> line 6.
Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 114, <> line 6.
Gtk-WARNING **: Theme directory devices/scalable of theme maia has no size field
Предварительная настройка пакетов ...
Выбор ранее не выбранного пакета libdbd-mysql-perl.
dpkg: предупреждение: список файлов пакета «dbus-x11» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «dbus-user-session» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
dpkg: предупреждение: список файлов пакета «dbus» отсутствует; предполагаем, что на данный момент у пакета нет установленных файлов
(Чтение базы данных … на данный момент установлено 441862 файла и каталога.)
Подготовка к распаковке …/0-libdbd-mysql-perl_4.041-2_amd64.deb …
Распаковывается libdbd-mysql-perl (4.041-2) …
Выбор ранее не выбранного пакета mysql-client-core-5.6.
Подготовка к распаковке …/1-mysql-client-core-5.6_5.6.30-1_amd64.deb …
Распаковывается mysql-client-core-5.6 (5.6.30-1) …
Выбор ранее не выбранного пакета mysql-client-5.6.
Подготовка к распаковке …/2-mysql-client-5.6_5.6.30-1_amd64.deb …
Распаковывается mysql-client-5.6 (5.6.30-1) …
Выбор ранее не выбранного пакета mysql-server-core-5.6.
Подготовка к распаковке …/3-mysql-server-core-5.6_5.6.30-1_amd64.deb …
Распаковывается mysql-server-core-5.6 (5.6.30-1) …
Подготовка к распаковке …/4-mysql-server-5.6_5.6.30-1_amd64.deb …
Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 96.
Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 114.
Gtk-WARNING **: Theme directory devices/scalable of theme maia has no size field
grep: /etc/mysql/: Нет такого файла или каталога
Failed to stop mysql.service: Unit mysql.service not loaded.
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 5
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: ошибка при обработке архива /tmp/apt-dpkg-install-VVpjxA/4-mysql-server-5.6_5.6.30-1_amd64.deb (--unpack):
 подпроцесс новый сценарий pre-installation возвратил код ошибки 1
Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 96.
Gtk-Message **: Failed to load module "atk-bridge" at /usr/share/perl5/Debconf/FrontEnd/Gnome.pm line 114.
Gtk-WARNING **: Theme directory devices/scalable of theme maia has no size field
Выбор ранее не выбранного пакета mysql-server.
Подготовка к распаковке …/5-mysql-server_5.6.30-1_all.deb …
Распаковывается mysql-server (5.6.30-1) …
При обработке следующих пакетов произошли ошибки:
 /tmp/apt-dpkg-install-VVpjxA/4-mysql-server-5.6_5.6.30-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Ошибка при установке пакета. Попытка восстановления:
dpkg: зависимости пакетов не позволяют настроить пакет mysql-server:
 mysql-server зависит от mysql-server-5.6, однако:
  Пакет mysql-server-5.6 не установлен.

dpkg: ошибка при обработке пакета mysql-server (--configure):
 проблемы зависимостей — оставляем не настроенным
Настраивается пакет mysql-client-core-5.6 (5.6.30-1) …
Настраивается пакет mysql-server-core-5.6 (5.6.30-1) …
Обрабатываются триггеры для man-db (2.7.6.1-2) …
Настраивается пакет libdbd-mysql-perl (4.041-2) …
Настраивается пакет mysql-client-5.6 (5.6.30-1) …






root@parrot:~# cat /etc/apt/sources.list


# deb cdrom:[Debian GNU/Linux 3.4 _Parrot_ - Official Snapshot amd64 LIVE/INSTALL Binary 20170102-05:27]/ parrot contrib main non-free

deb http://yandex-asia.archive.parrotsec.org/mirrors/parrot/ parrot main
deb-src http://yandex-asia.archive.parrotsec.org/mirrors/parrot/ parrot main

# Line commented out by installer because it failed to verify:
deb http://security.debian.org/debian-security/ parrot/updates main
# Line commented out by installer because it failed to verify:
deb-src http://security.debian.org/debian-security/ parrot/updates main

# parrot-updates, previously known as 'volatile'
# Line commented out by installer because it failed to verify:
deb http://yandex-asia.archive.parrotsec.org/mirrors/parrot/ parrot-updates main
# Line commented out by installer because it failed to verify:
deb-src http://yandex-asia.archive.parrotsec.org/mirrors/parrot/ parrot-updates main
# deb http://ppa.launchpad.net/graphics-drivers/ppa/ubuntu/ lucid main

root@parrot:~#


root@parrot:~# sudo dpkg -l | grep mysql
ii  libdbd-mysql-perl                         4.041-2                                amd64        Perl5 database interface to the MariaDB/MySQL database
ii  mysql-client-5.6                          5.6.30-1                               amd64        MySQL database client binaries
ii  mysql-client-core-5.6                     5.6.30-1                               amd64        MySQL database core client binaries
ii  mysql-common                              5.8+1.0.2                              all          MySQL database common files, e.g. /etc/mysql/my.cnf
iU  mysql-server                              5.6.30-1                               all          MySQL database server (metapackage depending on the latest version)
ii  mysql-server-core-5.6                     5.6.30-1                               amd64        MySQL database server binaries
ii  php-mysql                                 1:7.0+49                               all          MySQL module for PHP [default]
ii  php7.0-mysql                              7.0.16-3                               amd64        MySQL module for PHP
root@parrot:~#

 

Онлайн qupl

  • Сообщений: 4257
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Слетел mysql-server, не могу переустановить
« Ответ #1 : 22 Апрель 2017, 07:11:01 »
uname -a
lsb_release -a
apt-get -f install
Диск проверьте на ошибки и ФС.
Вряд ли по пакетам левого репозитория кто-то что-то подскажет. А с ними у вас  проблемы.

Оффлайн seregareal2

  • Topic Author
  • Сообщений: 16
Re: Слетел mysql-server, не могу переустановить
« Ответ #2 : 22 Апрель 2017, 21:10:35 »
su -
┌─[seregareal2@parrot]─[~]
└──╼ $su -
Пароль:
root@parrot:~# uname -a
Linux parrot 4.9.0-parrot16-amd64 #1 SMP Parrot 4.9.16-1parrot0 (2017-03-29) x86_64 GNU/Linux
root@parrot:~# lsb_release -a
No LSB modules are available.
Distributor ID: Parrot
Description: Parrot 3.6 - JollyRoger
Release: 3.6
Codename: JollyRoger
root@parrot:~# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Correcting dependencies... Done
The following additional packages will be installed:
  mysql-server-5.6
Suggested packages:
  tinyca
The following NEW packages will be installed:
  mysql-server-5.6
0 upgraded, 1 newly installed, 0 to remove and 2 not upgraded.
1 not fully installed or removed.
Need to get 0 B/5,448 kB of archives.
After this operation, 52.7 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Preconfiguring packages ...
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-user-session' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus' missing; assuming package has no files currently installed
(Reading database ... 442035 files and directories currently installed.)
Preparing to unpack .../mysql-server-5.6_5.6.30-1_amd64.deb ...
grep: /etc/mysql/: No such file or directory
Failed to stop mysql.service: Unit mysql.service not loaded.
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 5
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: error processing archive /var/cache/apt/archives/mysql-server-5.6_5.6.30-1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-server-5.6_5.6.30-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@parrot:~#

 

Онлайн qupl

  • Сообщений: 4257
  • memento mori
  • Jabber: qupl@jabber.ru
Re: Слетел mysql-server, не могу переустановить
« Ответ #3 : 23 Апрель 2017, 11:32:33 »
seregareal2, завершить вручную сервис mysql и попробовать еще раз.

Оффлайн seregareal2

  • Topic Author
  • Сообщений: 16
Re: Слетел mysql-server, не могу переустановить
« Ответ #4 : 23 Апрель 2017, 13:43:04 »
┌─[seregareal2@parrot]─[~]
└──╼ $su -
Пароль:
root@parrot:~# service mysqld stop
Failed to stop mysqld.service: Unit mysqld.service not loaded.
root@parrot:~# /etc/init.d/mysql stop
[....] Stopping mysql (via systemctl): mysql.serviceFailed to stop mysql.service: Unit mysql.service not loaded.
 failed!
root@parrot:~# /etc/init.d/mysql start
[....] Starting mysql (via systemctl): mysql.serviceFailed to start mysql.service: Unit mysql.service not found.
 failed!
root@parrot:~# service mysqld start
Failed to start mysqld.service: Unit mysqld.service not found.
root@parrot:~# /etc/init.d/mysql stop
[....] Stopping mysql (via systemctl): mysql.serviceFailed to stop mysql.service: Unit mysql.service not loaded.
 failed!
root@parrot:~# service mysqld stop
Failed to stop mysqld.service: Unit mysqld.service not loaded.
root@parrot:~# apt-get install -f
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libdbd-mysql-perl mysql-client-5.6 mysql-client-core-5.6
  mysql-server-core-5.6
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@parrot:~# apt-get -f install
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following packages were automatically installed and are no longer required:
  libdbd-mysql-perl mysql-client-5.6 mysql-client-core-5.6
  mysql-server-core-5.6
Use 'apt autoremove' to remove them.
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.
root@parrot:~# apt-get install mysql-server
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  mysql-server-5.6
Suggested packages:
  tinyca
The following NEW packages will be installed:
  mysql-server mysql-server-5.6
0 upgraded, 2 newly installed, 0 to remove and 2 not upgraded.
Need to get 0 B/5,538 kB of archives.
After this operation, 52.8 MB of additional disk space will be used.
Do you want to continue? [Y/n] y
Preconfiguring packages ...
dpkg: warning: files list file for package 'dbus-x11' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus-user-session' missing; assuming package has no files currently installed
dpkg: warning: files list file for package 'dbus' missing; assuming package has no files currently installed
(Reading database ... 445736 files and directories currently installed.)
Preparing to unpack .../mysql-server-5.6_5.6.30-1_amd64.deb ...
grep: /etc/mysql/: No such file or directory
Failed to stop mysql.service: Unit mysql.service not loaded.
invoke-rc.d: initscript mysql, action "stop" failed.
invoke-rc.d returned 5
There is a MySQL server running, but we failed in our attempts to stop it.
Stop it yourself and try again!
dpkg: error processing archive /var/cache/apt/archives/mysql-server-5.6_5.6.30-1_amd64.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1
Selecting previously unselected package mysql-server.
Preparing to unpack .../mysql-server_5.6.30-1_all.deb ...
Unpacking mysql-server (5.6.30-1) ...
Errors were encountered while processing:
 /var/cache/apt/archives/mysql-server-5.6_5.6.30-1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
root@parrot:~#

 

Теги: